<template>
    <div></div>
</template>

<script lang="ts">

export default {
    async beforeRouteEnter(to, from, next) {
        next((vm) => {
            if (to.query.data) {
                localStorage.setItem('dataTokenTemp', to.query.data as string);
                window.close();
            }
        });
    },
};
</script>
